Bug 1728306 - [Discovery] 'Create Host' and 'Customize Host' buttons not functionoing in Quick Provision dialog
Summary: [Discovery] 'Create Host' and 'Customize Host' buttons not functionoing in Qu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.6.0
Assignee: Lukas Zapletal
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-09 15:27 UTC by Jitendra Yejare
Modified: 2019-10-22 14:45 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-foreman_discovery-15.0.2
Doc Type: If docs needed, set a value
Doc Text:
When you discover a host in the Satellite web UI, the Provision button at the Select Action list does not work. Instead, navigate to Hosts > Discovered Hosts and click Provision to the right of the host that you want.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Non-Functioning-Buttons (78.74 KB, image/png)
2019-07-09 15:31 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27278 None None None 2019-07-11 14:22:29 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description Jitendra Yejare 2019-07-09 15:27:36 UTC
Description of problem:
The 'Create Host' and 'Customize Host'  buttons are not functioning/clicking in the quick provision dialog window. 

No logs in production.log on clicking those buttons.

Check the Screenshot for dialog window.

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 10

How reproducible:
Always on snap 10

Steps to Reproduce:
1. Discover the host in the satellite.
2. Create an hostgroup for provisioning the above-discovered host.
3. Go to Hosts -> Discovered Hosts.
4. Select the discovered host by clicking on the discovered hostname.
5. From 'Select Action' choose 'Provision'.
6. From Provision dialog, choose HostGroup, Org, and Location.
7. Click 'Create Host' or 'Customize Host' button.

Actual results:
The buttons are not functioning/clicking and are not navigating to the host create the page.

Expected results:
The buttons should be functioning and after clicking, it should navigate to host create page.

Additional info:

Comment 3 Jitendra Yejare 2019-07-09 15:31:03 UTC
Created attachment 1588795 [details]
Non-Functioning-Buttons

Comment 9 Marek Hulan 2019-07-11 13:02:32 UTC
There's a workaround for the same functionality in UI that works

Steps to Reproduce:
1. Discover the host in the satellite.
2. Create an hostgroup for provisioning the above-discovered host.
3. Go to Hosts -> Discovered Hosts.
4. Don't go to discovered host detail page, instead on the table row, navigate to right and click Provision
5. From Provision dialog, choose HostGroup, Org, and Location.
6. Click 'Create Host' or 'Customize Host' button.

This flow (change is in step 4) works fine.

Comment 11 Marek Hulan 2019-07-11 13:08:12 UTC
Another finding - if you go to detail page and back using breadcrumbs, even there it stops working. If you go to the discovered host detail page and refresh it, the it even works there. Meaning this has something to do with turbolinks/react. Sadly I don't see any JS error in the console.

Comment 12 Jitendra Yejare 2019-07-11 13:29:32 UTC
@Marek,

To be noted :

Nikhil tried on Firefox 60.6 and this bug is not reproducible in Firefox 60.6.

But it's reproducible for me every-time when I tried on my firefox Quantum 66.0.4

Comment 13 Jitendra Yejare 2019-07-11 13:31:10 UTC
Also, I tried your steps from comment 9, but again it lands me to the same dialog and again its reproducible for me on Firefox Quantum 66.0.4

Comment 14 Lukas Zapletal 2019-07-17 06:54:28 UTC
Hello guys, I am aware that this *randomly* happens but I have no idea why. This probably needs some JS expert to take a look.

Since refreshing a page does help, can we remove blocker for beta? This is not regression in 6.6, I can confirm this misbehavior for years (6.4+ at least).

Comment 21 Bryan Kearney 2019-08-01 10:02:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27278 has been resolved.

Comment 22 Lukas Zapletal 2019-08-02 06:51:55 UTC
Yeah the GEM was just released. Thanks for help with this one!

Comment 24 Jitendra Yejare 2019-08-26 13:34:25 UTC
Verified!

@ Satellite 6.6 snap 17

Steps:
1. Discover the host in the satellite.
2. Create an hostgroup for provisioning the above-discovered host.
3. Go to Hosts -> Discovered Hosts.
4. Select the discovered host by clicking on the discovered hostname.
5. From 'Select Action' choose 'Provision'.
6. From Provision dialog, choose HostGroup, Org, and Location.
7. Click 'Create Host' or 'Customize Host' button.


Observation:

The buttons are now functioning and after clicking, its navigating to the host create page.
(Automation Test - Jenkins - automation-6.6-tier3-rhel7 - #26 Satellite 6.6.0-17.0 - Test Results - tests.foreman.ui - test_discoveredhost - test_positive_provision_using_quick_host_button)

Comment 26 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.